Subject: Re: bug#36867: 26.2; gamegrid-add-scrore miss lower-is-better flag

From: Eli Zaretskii <[email-masked]>
Date: Sat, 14 Sep 2019 11:23:39 +0300

> From: Federico Tedin <[email-masked]>
> Date: Wed, 04 Sep 2019 00:29:22 +0200
> Cc: [email-masked]
> 
> Rolf Ade <[email-masked]> writes:
> 
> > The function gamegrid-add-scrore is handy for games developer; they get
> > a high-score management system with one call. That includes a threshold
> > for the number of entries in the high-score file.
> >
> > A consequence of that is, that an entry has be removed from the list if
> > a new, better one must be inserted. In this situation,
> > gamegrid-add-scrore currently always removes the "lowest" result.
> >
> > This is good and well for "more is better" games. But is wrong for
> > "faster is better" games. An example:
> > https://github.com/calancha/Minesweeper
> >
> > This feature omission is on lisp level. The in the emacs sources
> > included tool update-game-score (which is used by gamegrid, if it is
> > available) support reverse opperation.
> 
> I've added a new 'reverse' parameter to gamegrid-add-score that allows
> switching between storing the scores normally, or in reverse order. As
> Rolf mentioned, this feature was already implemented in
> update-game-score. I'm attaching a patch with my changes.

Thanks, pushed to the master branch.

In the future, please mark NEWS entries with "---" if they don't need
to be described in the manuals, and with "+++" if the patch includes
the changes for the manuals.  (I did this for you this time.)